# RDoc Documentation

This is the API documentation for 'RDoc Documentation'.

## Classes/Modules

- Magic
- Magic::Constants
- Magic::Constants::Flag
- Magic::Database
- Magic::Exception

## Methods

- ::new — Magic::Database
- #buffer — Magic::Database
- #calculate_flags — Magic::Database
- #close — Magic::Database
- #error — Magic::Database
- #file — Magic::Database
- #flags= — Magic::Database
- #load — Magic::Database
- #open — Magic::Database

[Validate]

Generated with the Darkfish Rdoc Generator 2.